Summary:	A program for synchronizing files over a network.
Name:		rsync26
Version:	2.6.2
Release:	1.5.600
Group:		Administration/Tools
Source0:	http://samba.anu.edu.au/ftp/rsync/rsync-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{release}-root
License:	GPL
Provides:	rsync

%description
Rsync uses a quick and reliable algorithm to very quickly bring
remote and host files into sync.  Rsync is fast because it just
sends the differences in the files over the network (instead of
sending the complete files). Rsync is often used as a very powerful
mirroring process or just as a more capable replacement for the
rcp command.  A technical report which describes the rsync algorithm
is included in this package.

%files
  %defattr(-,root,root)
  %doc COPYING README tech_report.tex
  %doc %{_mandir}/man1/rsync.1*
  %doc %{_mandir}/man5/rsyncd.conf.5*
  %attr(0511,root,root)	%{_bindir}/rsync
  
%prep
%setup -q -n rsync-%{version}

%build
  %configure
  make CCOPTFLAGS="$RPM_OPT_FLAGS"

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  mkdir -p $RPM_BUILD_ROOT/%{_bindir}
  mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
  mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man5

  strip rsync
  install rsync         $RPM_BUILD_ROOT/%{_bindir}
  install rsync.1       $RPM_BUILD_ROOT/%{_mandir}/man1
  install rsyncd.conf.5 $RPM_BUILD_ROOT/%{_mandir}/man5

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Jul 07 2004 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.6.2, Release 1.5.600
  - New package.
